Bug 177605 - security/switzerland: [PATCH] bad plist prevents packaging
security/switzerland: [PATCH] bad plist prevents packaging
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-03 12:00 UTC by draco
Modified: 2013-04-07 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.10 KB, patch)
2013-04-03 12:00 UTC, draco
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description draco 2013-04-03 12:00:00 UTC
Due to using a directory in the plist, pkg produces an empty package of switzerland with no manifest. Fix attached.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer 2013-04-03 16:06:29 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 William Grzybowski freebsd_committer 2013-04-06 21:52:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 3 dfilter freebsd_committer 2013-04-07 00:22:34 UTC
Author: wg
Date: Sat Apr  6 23:22:20 2013
New Revision: 315749
URL: http://svnweb.freebsd.org/changeset/ports/315749

Log:
  - Fix pkg-plist [1]
  - Trim Makefile header
  - Use OptionsNG DOCS
  
  PR:		ports/177605 [1]
  Submitted by:	John Marino <draco@marino.st> [1]
  Approved by:	portmgr (miwi), jpaetzel (mentor)

Modified:
  head/security/switzerland/Makefile
  head/security/switzerland/pkg-plist

Modified: head/security/switzerland/Makefile
==============================================================================
--- head/security/switzerland/Makefile	Sat Apr  6 23:20:30 2013	(r315748)
+++ head/security/switzerland/Makefile	Sat Apr  6 23:22:20 2013	(r315749)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	Switzerland
-# Date created:				08/08/08
-# Whom:					Alexey Dokuchaev <danfe@FreeBSD.org>
-#
+# Created by: Alexey Dokuchaev <danfe@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	switzerland
 PORTVERSION=	0.1.0
@@ -18,13 +14,15 @@ USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PORTDOCS=	*
 
+.include <bsd.port.options.mk>
+
 post-patch:
 	@${REINPLACE_CMD} -e 's,gcc -O3,${CC} ${CFLAGS}, ; \
 		s,"Switzerland","switzerland", ; \
 		s,"0\.0","${PORTVERSION}",' ${WRKSRC}/setup.py
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/BUGS.txt ${WRKSRC}/README.txt \
 		${WRKSRC}/doc/* ${DOCSDIR}

Modified: head/security/switzerland/pkg-plist
==============================================================================
--- head/security/switzerland/pkg-plist	Sat Apr  6 23:20:30 2013	(r315748)
+++ head/security/switzerland/pkg-plist	Sat Apr  6 23:22:20 2013	(r315749)
@@ -77,8 +77,6 @@ bin/switzerland-server
 %%PYTHON_SITELIBDIR%%/switzerland/lib/__init__.py
 %%PYTHON_SITELIBDIR%%/switzerland/lib/__init__.pyc
 %%PYTHON_SITELIBDIR%%/switzerland/lib/__init__.pyo
-%%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy
-%%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy
 %%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/__init__.py
 %%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/__init__.pyc
 %%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/__init__.pyo
@@ -100,8 +98,6 @@ bin/switzerland-server
 %%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/fields.py
 %%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/fields.pyc
 %%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/fields.pyo
-%%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/layers
-%%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/layers
 %%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/layers/__init__.py
 %%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/layers/__init__.pyc
 %%PYTHON_SITELIBDIR%%/switzerland/lib/shrunk_scapy/layers/__init__.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 William Grzybowski freebsd_committer 2013-04-07 00:22:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!